List all transactions
curl --request GET \
--url https://api.anchorage-staging.com/v4/accounts/{accountId}/transactions \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v4/accounts/{accountId}/transactions"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v4/accounts/{accountId}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"transactionId": "c4c4652f-0c07-472c-a7f8-955fbe07775d",
"transactionType": "DEPOSIT",
"status": "PENDING",
"subaccounts": [
{
"accountId": "ec761b5e-fd2c-497a-a9a0-f8738ac97bdf",
"assetType": "BTC",
"amount": "100.0",
"balanceType": "balanceType",
"direction": "CREDIT"
}
],
"createdAt": "2019-01-02T12:34:56.000Z",
"endedAt": "2019-01-03T12:34:56.000Z"
}
],
"page": {
"endCursor": "<string>"
}
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}List all transactions
Permissions required: Subaccount or Read Subaccount
Return all the transactions flattened, sorted by the creation date, the client has access to
GET
/
accounts
/
{accountId}
/
transactions
List all transactions
curl --request GET \
--url https://api.anchorage-staging.com/v4/accounts/{accountId}/transactions \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v4/accounts/{accountId}/transactions"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v4/accounts/{accountId}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": [
{
"transactionId": "c4c4652f-0c07-472c-a7f8-955fbe07775d",
"transactionType": "DEPOSIT",
"status": "PENDING",
"subaccounts": [
{
"accountId": "ec761b5e-fd2c-497a-a9a0-f8738ac97bdf",
"assetType": "BTC",
"amount": "100.0",
"balanceType": "balanceType",
"direction": "CREDIT"
}
],
"createdAt": "2019-01-02T12:34:56.000Z",
"endedAt": "2019-01-03T12:34:56.000Z"
}
],
"page": {
"endCursor": "<string>"
}
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}Path Parameters
Query Parameters
One or more transaction types to filter results
Available options:
DEPOSIT, WITHDRAWAL, TRADE, MANAGEMENT_FEE, CUSTODY_FEE, ADVISORY_FEE, MODEL_FEE, SUBACCOUNT_TRANSFER, TRADE_SETTLEMENT, DEPOSIT_SWEEP, GAS_FILL, FEE_SETTLEMENT, TRANSACTION_FEE, RETURN, STAKE, UNSTAKE, CLAIM, STAKING_REWARD, DELEGATION_REWARD The start date (inclusive) in YYYY-MM-DD format. The earliest valid start date is 2017-01-01. Dates are always in UTC RFC 3339 'full-date'.
The end date (inclusive) in YYYY-MM-DD format. The earliest valid start date is 2017-01-01. Dates are always in UTC RFC 3339 'full-date'.
Was this page helpful?